### Constructor

# Gtk.MediaFile.new_for_input_stream

#### Declaration [src]

    GtkMediaStream*
    gtk_media_file_new_for_input_stream (
      GInputStream* stream
    )

#### Description [src]

Creates a new media file to play `stream`.

If you want the resulting media to be seekable, the stream should implement the `GSeekable` interface.

#### Parameters

`stream` | `GInputStream*`
| The stream to play
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkMediaFile`
a new `GtkMediaFile`
Ownership of the data is transferred to the caller